aboutsummaryrefslogtreecommitdiff
path: root/bin
diff options
context:
space:
mode:
authorTom Ryder <tom@sanctum.geek.nz>2016-06-22 10:13:10 +1200
committerTom Ryder <tom@sanctum.geek.nz>2016-06-22 10:13:10 +1200
commitc83042d6701f275bd792fb15c889e780deddb14a (patch)
treecc6f6615267ce1ce8aae52e59477d8cea4dd8e73 /bin
parentRemove reference to GitHub dotfiles pages (diff)
downloaddotfiles-c83042d6701f275bd792fb15c889e780deddb14a.tar.gz
dotfiles-c83042d6701f275bd792fb15c889e780deddb14a.zip
Rename binscripts more tersely
Diffstat (limited to 'bin')
-rwxr-xr-xbin/gms (renamed from bin/getmails)2
-rwxr-xr-xbin/hurl (renamed from bin/htmlurls)0
-rwxr-xr-xbin/murl (renamed from bin/mdurls)8
-rwxr-xr-xbin/plmu (renamed from bin/plenv-modules-update)0
-rwxr-xr-xbin/sls (renamed from bin/shoal)18
-rwxr-xr-xbin/sra (renamed from bin/scatter)10
-rwxr-xr-xbin/sta (renamed from bin/shock)10
-rwxr-xr-xbin/urlc (renamed from bin/urlcheck)2
8 files changed, 25 insertions, 25 deletions
diff --git a/bin/getmails b/bin/gms
index d8383564..7ab865f2 100755
--- a/bin/getmails
+++ b/bin/gms
@@ -7,7 +7,7 @@
# Author: Tom Ryder <tom@sanctum.geek.nz>
# Copyright: 2016
#
-self=getmails
+self=gms
# Check for existence of needed commands
hash flock getmail try || exit
diff --git a/bin/htmlurls b/bin/hurl
index 23dc7dcc..23dc7dcc 100755
--- a/bin/htmlurls
+++ b/bin/hurl
diff --git a/bin/mdurls b/bin/murl
index a3d522ca..7b5dc050 100755
--- a/bin/mdurls
+++ b/bin/murl
@@ -1,7 +1,7 @@
#!/usr/bin/env bash
#
-# Format markdown and pass it to htmlurls to extract URLs from it.
+# Format markdown and pass it to hurl to extract URLs from it.
#
# Author: Tom Ryder <tom@sanctum.geek.nz>
# Copyright: 2016
@@ -9,10 +9,10 @@
#
# Check we have the programs we need
-hash pandoc htmlurls || exit
+hash pandoc hurl || exit
# Pipe the output of pandoc(1) on our args ...
pandoc -f markdown -t html -- "${@:-/dev/stdin}" |
-# ... into our own htmlurls
-htmlurls
+# ... into our own hurl
+hurl
diff --git a/bin/plenv-modules-update b/bin/plmu
index 668c4667..668c4667 100755
--- a/bin/plenv-modules-update
+++ b/bin/plmu
diff --git a/bin/shoal b/bin/sls
index f503d858..eb376cbc 100755
--- a/bin/shoal
+++ b/bin/sls
@@ -1,7 +1,7 @@
#!/usr/bin/env bash
#
-# shoal(1) -- Print all the non-wildcard Host names (first one per line) from
+# sls(1) -- Print all the non-wildcard Host names (first one per line) from
# an ssh_config(5) file, defaulting to $HOME/.ssh/config.
#
# Author: Tom Ryder <tom@sanctum.geek.nz>
@@ -10,26 +10,26 @@
#
# Start by assuming we should parse all hosts
-declare -i shoal
-shoal=1
+declare -i sls
+sls=1
# Iterate through the config
while read -r option value _ ; do
- # "### shoal" and "### noshoal" toggles parsing
+ # "### sls" and "### nosls" toggles parsing
case $option in
'###')
case $value in
- noshoal)
- shoal=0
+ nosls)
+ sls=0
;;
- shoal)
- shoal=1
+ sls)
+ sls=1
;;
esac
;;
'Host')
- if ((shoal)) && [[ $value != *[^[:alnum:]_-]* ]] ; then
+ if ((sls)) && [[ $value != *[^[:alnum:]_-]* ]] ; then
printf '%s\n' "$value"
fi
;;
diff --git a/bin/scatter b/bin/sra
index bab4ec32..64ccb2ae 100755
--- a/bin/scatter
+++ b/bin/sra
@@ -1,7 +1,7 @@
#!/usr/bin/env bash
#
-# scatter(1) -- Run a command on every hostname returned by shoal(1) and print
+# sra(1) -- Run a command on every hostname returned by sls(1) and print
# both stdout and stderr, including allocating a pty with -t.
#
# Author: Tom Ryder <tom@sanctum.geek.nz>
@@ -10,13 +10,13 @@
#
# Name self
-self=scatter
+self=sra
# Handle ^C interrupts
trap 'trap - INT; kill -INT $$' INT
-# Bail if we couldn't find shoal(1)
-hash shoal || exit
+# Bail if we couldn't find sls(1)
+hash sls || exit
# Exit with usage method if no arguments given
if ! (($#)) ; then
@@ -31,4 +31,4 @@ while read -r hostname <&3 ; do
# shellcheck disable=SC2029
ssh -qt -- "$hostname" "$@"
printf '\n'
-done 3< <(shoal)
+done 3< <(sls)
diff --git a/bin/shock b/bin/sta
index c578b624..ced20cef 100755
--- a/bin/shock
+++ b/bin/sta
@@ -1,7 +1,7 @@
#!/usr/bin/env bash
#
-# shock(1) -- Run a command on every hostname returned by shoal(1) and print
+# sta(1) -- Run a command on every hostname returned by sls(1) and print
# the hostname if the command's return value was zero. Discard stdout, but do
# print stderr.
#
@@ -11,13 +11,13 @@
#
# Name self
-self=shock
+self=sta
# Handle ^C interrupts
trap 'trap - INT; kill -INT $$' INT
-# Bail if we couldn't find shoal(1)
-hash shoal || exit
+# Bail if we couldn't find sls(1)
+hash sls || exit
# Exit with usage method if no command given
if ! (($#)) ; then
@@ -31,4 +31,4 @@ while read -r hostname ; do
if ssh -nq -- "$hostname" "$@" >/dev/null ; then
printf '%s\n' "$hostname"
fi
-done < <(shoal)
+done < <(sls)
diff --git a/bin/urlcheck b/bin/urlc
index 5692a892..49f41082 100755
--- a/bin/urlcheck
+++ b/bin/urlc
@@ -11,7 +11,7 @@
#
# Name self
-self=urlcheck
+self=urlc
# cURL request timeout
tm=${URLCHECK_TIMEOUT:-8}